%define	major 0
%define libname %mklibname modpbase64_ %{major}
%define develname %mklibname -d modpbase64

Summary:	A collection of high performance c-string transformations
Name:		stringencoders
Version:	3.10.3
Release:	%mkrel 10
Group:		System/Libraries
License:	BSD
URL:		https://code.google.com/p/stringencoders/
Source0:	http://stringencoders.googlecode.com/files/%{name}-v%{version}.tar.gz
Patch0:		01-ignore-warnings.patch
Patch1:		02-pkgconfig.patch
Patch2:		03-endianness.patch
Patch3:		stringencoders-v3.10.3-aclocal-1.13.diff
BuildRequires:	autoconf 
BuildRequires:	automake 
BuildRequires:	libtool

%description
This implementation is frequently 2x faster than standard implementations.
The transformations include base64, base16, base85, base2, url and javascript
escaping, as well as fast number to string and upper/lower case conversions.

%package -n	%{libname}
Summary:	High performance c-string transformations library
Group:		System/Libraries

%description -n	%{libname}
Collection of high performance c-string transformations.

This implementation is frequently 2x faster than standard implementations.
The transformations include base64, base16, base85, base2, url and javascript
escaping, as well as fast number to string and upper/lower case conversions.


%package -n	%{develname}
Summary:	Development files for the stringencoders library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} >= %{version}

%description -n	%{develname}
Collection of high performance c-string transformations (development files)

This implementation is frequently 2x faster than standard implementations.
The transformations include base64, base16, base85, base2, url and javascript
escaping, as well as fast number to string and upper/lower case conversions.

%prep

%setup -q -n %{name}-v%{version}
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p0

%build
autoreconf -fi

%configure \
    --disable-static

%make_build

%check
make test

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog NEWS
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc



%changelog
* Sun Dec 22 2024 pterjan <pterjan> 3.10.3-10.mga10
+ Revision: 2128174
- Rebuild for patchN deprecation

* Wed Mar 16 2022 umeabot <umeabot> 3.10.3-9.mga9
+ Revision: 1794517
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 3.10.3-8.mga8
+ Revision: 1517251
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 3.10.3-7.mga7
+ Revision: 1301215
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 3.10.3-6.mga6
+ Revision: 935742
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.10.3-5.mga5
+ Revision: 748375
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.10.3-4.mga5
+ Revision: 730283
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.10.3-3.mga5
+ Revision: 689558
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.10.3-2.mga4
+ Revision: 521877
- Mageia 4 Mass Rebuild

* Tue Jan 29 2013 oden <oden> 3.10.3-1.mga3
+ Revision: 393139
- fix build
- imported package stringencoders

